package cz.sdc.wpstest;

import android.content.Context;
import android.os.Message;
import android.support.annotation.NonNull;
import android.support.v7.app.AlertDialog;
import android.text.InputFilter;
import android.text.InputType;
import android.view.WindowManager;
import android.widget.EditText;

public class CustomPinDialog extends AlertDialog {
    private EditText edit;

    protected CustomPinDialog(@NonNull Context context) {
        super(context);
        edit = new EditText(context);
        edit.setInputType(InputType.TYPE_CLASS_NUMBER);
        edit.setFilters(new InputFilter[] {new InputFilter.LengthFilter(8)});
        edit.setPadding(80, 40, 80, 40);
        setView(edit);
        setButton(BUTTON_NEGATIVE, context.getString(android.R.string.cancel), (Message)null);
    }

    public boolean isPinAcceptable() {
        return (edit.getText().length() == 8);
    }

    public String getPin() {
        return edit.getText().toString();
    }

    @Override
    public void show() {
        super.show();
        getWindow().setSoftInputMode(WindowManager.LayoutParams.SOFT_INPUT_STATE_ALWAYS_VISIBLE);
    }
}
