package cz.sdc.wpstest;

import android.content.Context;
import android.content.DialogInterface;
import android.net.wifi.ScanResult;
import android.support.annotation.NonNull;
import android.support.v7.app.AlertDialog;
import android.view.ViewGroup;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.ScrollView;


public class PinListDialog extends AlertDialog {
    public String[] pins;
    public final RadioGroup rg;

    protected PinListDialog(@NonNull final Context context, @NonNull final ScanResult network) {
        super(context);
        setTitle(network.SSID);
        ScrollView view = new ScrollView(context);
        rg = new RadioGroup(context);
        pins = PinGenerator.getInstance().generatePins(network.BSSID);
        for(String pin : pins) {
            RadioButton rb = new RadioButton(context);
            rb.setTextSize(18);
            rb.setText(pin);
            rg.setPadding(40, 14, 40, 14);
            rg.addView(rb, new RadioGroup.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.MATCH_PARENT));
        }
        view.setScrollbarFadingEnabled(false);
        view.addView(rg);
        setView(view);
        ((RadioButton)rg.getChildAt(0)).setChecked(true);

        setButton(BUTTON_NEGATIVE, context.getString(android.R.string.cancel), new OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int which) {

            }
        });
    }
}
