package cz.sdc.wpstest;

import android.os.AsyncTask;
import android.support.v7.app.AppCompatActivity;
import android.widget.ImageView;
import android.widget.TextView;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.lang.ref.WeakReference;
import java.net.URL;
import java.net.URLConnection;


public class VendorTask extends AsyncTask<String, Void, String> {
    private AppCompatActivity activity;
    private WeakReference<TextView> tv_ref;

    public VendorTask(AppCompatActivity activity, TextView tv) {
        this.activity = activity;
        this.tv_ref = new WeakReference<TextView>(tv);
    }

    @Override
    protected String doInBackground(String... strings) {
        String vendor = "";
        try {
            //URLConnection conn = new URL(String.format("https://api.macvendors.com/%s", strings[0])).openConnection();
            URLConnection conn = new URL(String.format("http://macvendors.co/api/%s/csv", strings[0])).openConnection();
            conn.connect();
            InputStreamReader isr = new InputStreamReader(conn.getInputStream());
            //if(conn == null || isr == null)

            BufferedReader br = new BufferedReader(isr);
            vendor = br.readLine().split(",")[0].replace("\"", "");
            if(vendor.equals("no result")) vendor = "";
            isr.close();
            br.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return vendor;
    }

    @Override
    protected void onPostExecute(String s) {
        tv_ref.get().setText(s);
    }
}
