package cz.sdc.wpstest;


import android.content.Context;
import android.content.DialogInterface;
import android.net.wifi.WifiManager;
import android.net.wifi.WpsInfo;

public class WpsConnector implements DialogInterface.OnClickListener {
    private Context context;
    private String bssid, pin;
    public PinTryDialog dialog;
    private WifiManager wifi;
    private WifiManager.WpsCallback callback;

    public WpsConnector(Context context, String ssid, int numberOfPins) {
        this.context = context;
        dialog = new PinTryDialog(context, numberOfPins);
        dialog.setTitle(ssid);
        dialog.setButton(DialogInterface.BUTTON_NEUTRAL, context.getString(android.R.string.cancel), this);
    }

    public void connect(WifiManager.WpsCallback callback) {
        final WpsInfo config = new WpsInfo();
        config.setup = WpsInfo.KEYPAD;
        config.BSSID = bssid;
        config.pin = pin;
        this.callback = callback;
        dialog.setMessage(context.getString(R.string.trying, config.pin));
        if(!dialog.isShowing()) dialog.show();
        wifi = (WifiManager)context.getApplicationContext().getSystemService(Context.WIFI_SERVICE);
        wifi.startWps(config, callback);
    }

    public void setConfig(String bssid, String pin) {
        dialog.setMessage(context.getString(R.string.trying, pin));
        dialog.incrementProgressBy(1);
        this.bssid = bssid;
        this.pin = pin;
    }

    @Override
    public void onClick(DialogInterface dialog, int which) {
        wifi.cancelWps(null);
        finish();
    }

    public void finish() {
        dialog.dismiss();
    }
}
